Package org.eclipse.net4j.util.ui

## Class DefaultPropertySource.DelegatingPropertyDescriptor<RECEIVER>

- java.lang.Object
- - org.eclipse.net4j.util.ui.DefaultPropertySource.DelegatingPropertyDescriptor<RECEIVER>

- All Implemented Interfaces:
    `IPropertyDescriptor`
  Enclosing class:
    DefaultPropertySource<RECEIVER>

      public static final class DefaultPropertySource.DelegatingPropertyDescriptor<RECEIVER>
      extends java.lang.Object
      implements IPropertyDescriptor

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatingPropertyDescriptor​(Property<RECEIVER> property)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CellEditor` | `createPropertyEditor​(Composite parent)` |
    `java.lang.String` | `getCategory()` |
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getDisplayName()` |
    `java.lang.String[]` | `getFilterFlags()` |
    `java.lang.Object` | `getHelpContextIds()` |
    `java.lang.String` | `getId()` |
    `ILabelProvider` | `getLabelProvider()` |
    `Property<RECEIVER>` | `getProperty()` |
    `boolean` | `isCompatibleWith​(IPropertyDescriptor anotherProperty)` |
    `void` | `setLabelProvider​(ILabelProvider labelProvider)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingPropertyDescriptor

          public DelegatingPropertyDescriptor​(Property<RECEIVER> property)

  - ### Method Detail

    - #### getProperty

          public Property<RECEIVER> getProperty()

    - #### getCategory

          public java.lang.String getCategory()

      Specified by:
        `getCategory` in interface `IPropertyDescriptor`

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `IPropertyDescriptor`

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Specified by:
        `getDisplayName` in interface `IPropertyDescriptor`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `IPropertyDescriptor`

    - #### isCompatibleWith

          public boolean isCompatibleWith​(IPropertyDescriptor anotherProperty)

      Specified by:
        `isCompatibleWith` in interface `IPropertyDescriptor`

    - #### getLabelProvider

          public ILabelProvider getLabelProvider()

      Specified by:
        `getLabelProvider` in interface `IPropertyDescriptor`

    - #### setLabelProvider

          public void setLabelProvider​(ILabelProvider labelProvider)

    - #### getHelpContextIds

          public java.lang.Object getHelpContextIds()

      Specified by:
        `getHelpContextIds` in interface `IPropertyDescriptor`

    - #### getFilterFlags

          public java.lang.String[] getFilterFlags()

      Specified by:
        `getFilterFlags` in interface `IPropertyDescriptor`

    - #### createPropertyEditor

          public CellEditor createPropertyEditor​(Composite parent)

      Specified by:
        `createPropertyEditor` in interface `IPropertyDescriptor`